
Redmine - Defect #7415

Darcs adapter recognizes new files as modified files above Darcs 2.4

2011-01-22 15:45 - Toshi MARUYAMA

Status: Closed Start date: 2011-01-22

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version: 1.1.0

Description
The reason

Darcs 2.3

$ darcs --version

2.3.1 (+ 5 patches)

$ darcs annotate --repodir 'tmp/test/darcs_repository' \

     --summary  --match 'hash 20080308225258-98289-761f654d669045eabee90b91b53a21ce5593cadf.gz'

Sun Mar  9 07:52:58 JST 2008  jsmith@foo.bar

  * Initial commit.

Sun Mar  9 07:52:58 JST 2008  jsmith@foo.bar

  * Initial commit.

    A ./README

    A ./images/

    A ./images/delete.png

    A ./sources/

    A ./sources/watchers_controller.rb

 

Darcs 2.4

$ darcs --version

2.4.4 (release)

$ darcs annotate --repodir 'tmp/test/darcs_repository' \

    --summary  --match 'hash 20080308225258-98289-761f654d669045eabee90b91b53a21ce5593cadf.gz'

Sun Mar  9 07:52:58 JST 2008  jsmith@foo.bar

  * Initial commit.

Sun Mar  9 07:52:58 JST 2008  jsmith@foo.bar

  * Initial commit.

    A ./README

    A ./images/

    A ./images/delete.png

    A ./sources/

    A ./sources/watchers_controller.rb

    M ./README +1

    M ./images/delete.png

    M ./sources/watchers_controller.rb +49
Related issues:

Related to Redmine - Defect #4899: Redmine fails to list files for darcs repo... Closed 2010-02-22

Associated revisions

Revision 4748 - 2011-01-23 05:17 - Toshi MARUYAMA

scm: darcs: add compatible test of Darcs 2.3 and 2.4 (#7415).

Revision 4749 - 2011-01-23 05:17 - Toshi MARUYAMA

scm: darcs: fix Darcs adapter recognizes new files as modified files above Darcs 2.4 (#7415).

History

#1 - 2011-01-22 16:18 - Jean-Philippe Lang

I saw some problems with recent darcs versions.

As we don't have much (if not none) feedback about the darcs adapter, I guess that very few people uses Redmine+darcs.

Wouldn't it be reasonable to drop support for darcs in the Redmine core? And maybe move the existing code to a plugin.

#2 - 2011-01-22 16:50 - Toshi MARUYAMA

I start to resolve this issue.

https://bitbucket.org/marutosi/redmine-trunk-darcs

#3 - 2011-01-23 08:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.1.1

- Resolution set to Fixed

Fixed by r4749 in trunk and r4751 in 1.1.1.
